<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yuno
 */

$author    = yuno_theme_mod_option( 'yuno_show_author' );
$date      = yuno_theme_mod_option( 'yuno_show_date' );
$fimage    = yuno_theme_mod_option( 'yuno_show_fimage' );
$read_more = yuno_theme_mod_option( 'yuno_archive_read_more_text' );
?>
<article clas="blog-item" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<figure>
	<div class="post-thumbnail blog-item-img">
		<?php 
			if ( has_post_thumbnail() ) {
				echo '<a href="'.esc_attr( esc_url( get_the_permalink() ) ).'" rel="lightbox">'; 
					the_post_thumbnail( '', array( 'class' => 'blog-img img-fluid' ) );
				echo '</a>';
			}
		?>
		
		
		<div class="post-date">
				<time class="entry-date published updated" datetime="<?php echo esc_html( get_the_date() ); ?>">
					<span><?php echo esc_html( get_the_date( 'd' ) ); ?></span> 
					<small><?php echo esc_html( get_the_date( 'M' ) ); ?><br><?php echo esc_html( get_the_date( 'Y' ) ); ?></small>
				</time>
			</div>
		</div>
		<figcaption class="blog-body">
		
			<div class="blog_item_inner <?php if ( ! has_post_thumbnail() ) { echo esc_attr( 'meta-tags','yuno' ); } ?>">
			
				
				<?php  get_the_author(); ?></a>
				<h4 class="blog-title">
					<a href="<?php echo esc_attr( esc_url( get_the_permalink() ) ); ?>"><?php the_title(); ?></a>
				</h4>
			</div>
			<?php  get_the_author(); ?></a>
				
			
				
				<div class="post-info content-center">
				
				<a class="post-author-link" href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>" tooltip="<?php echo esc_html(get_the_author()); ?>">
					<img src="<?php echo esc_url(get_avatar_url('ID')); ?>" class="post-author-img" alt="<?php echo esc_html(get_the_author()); ?>">
					<?php echo get_the_author(); ?>
				</a>

					<div class="post-taxonomies">
						<a href="javascript:void(0)" class="post-tag"><i class="fas fa-layer-group"></i></a>
						<?php 
							$categories_list = get_the_category_list( esc_html__( ', ', 'yuno' ) );
							if ( $categories_list ) {
								echo wp_kses_post( $categories_list );
							}
						?>
						<a href="javascript:void(0)" class="post-tag"><i class="fas fa-tags"></i></a>
						<?php 
							$tags_list = get_the_tag_list( '', esc_html_x( ', ', 'list item separator', 'yuno' ) );
							if ( $tags_list ) {
								echo wp_kses_post( $tags_list );
							}
						?>
					</div>
					<a href="#" class="post-comment"><i class="fas fa-comment-dots"></i>&nbsp;
						<?php echo esc_html( get_comments_number( get_the_ID() ) ); ?>
					</a> 
				</div>
			
			
			
			<div class="entry-summary">
		<?php
			the_excerpt(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'yuno' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					wp_kses_post( get_the_title() )
				)
			);
		?>
	</div><!-- .entry-summary -->
				
		<!--readmore button-->
			<a href="<?php the_permalink(); ?>" class="btn btn-theme">
				<?php echo esc_html( $read_more ); ?>
				<i class="fa fa-arrow-right"></i>
			</a>
													
				
				
		</figcaption>
	</figure>
                  
</article><!-- #post-<?php the_ID(); ?> -->